%bcond_without python
%if %{with python}
%define python_sitearch %(python3 -c "from distutils.sysconfig import get_python_lib; print (get_python_lib(1))")
%define python_prefix %(python3 -c "import sys; print (sys.prefix)")
%{?filter_setup:
%filter_provides_in %{python3_sitearch}/perfmon/.*\.so$
%filter_setup
}
%endif
%define lname pfm
%define libmajor 4
%define libname %mklibname %lname %libmajor
%define develname %mklibname -d %lname
%define staticname %mklibname -s -d %lname

Name:		libpfm
Version:	4.11.0
Release:	%mkrel 2
Summary:	Library to encode performance events for use by perf tool
Group:		System/Libraries
License:	MIT
URL:		http://perfmon2.sourceforge.net/
Source0:	https://sourceforge.net/projects/perfmon2/files/libpfm4/%{name}-%{version}.tar.gz
Patch0:		libpfm-4.11.0-mga-pointer-realloc.patch
Patch2:		libpfm-python3-setup.patch

%if %{with python}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	swig
%endif

%description
libpfm4 is a library to help encode events for use with operating system
kernels performance monitoring interfaces. The current version provides support
for the perf_events interface available in upstream Linux kernels since v2.6.31.

%package -n %libname
Summary:	Library to encode performance events for use by perf tool
Group:		System/Libraries
License:	MIT

%description -n %libname
libpfm4 is a library to help encode events for use with operating system
kernels performance monitoring interfaces. The current version provides support
for the perf_events interface available in upstream Linux kernels since
v2.6.31.

%package -n %develname
Summary:	Development library to encode performance events for perf_events based tools
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{lname}-devel = %{version}-%{release}

%description -n %develname
Development library and header files to create performance monitoring
applications for the perf_events interface.

%package -n %staticname
Summary:	Static library to encode performance events for perf_events based tools
Group:		Development/C
Requires:	%develname = %{version}-%{release}
Provides:	%{lname}-static-devel = %{version}-%{release}

%description -n %staticname
Static version of the libpfm library for performance monitoring applications
for the perf_events interface.

%if %{with python}
%package -n python3-libpfm
%{?python_provide:%python_provide python3-libpfm}
# Remove before F30
Provides: %{name}-python = %{version}-%{release}
Provides: %{name}-python%{?_isa} = %{version}-%{release}
Obsoletes: %{name}-python < %{version}-%{release}
Obsoletes: python2-libpfm < 4.9.0-9
Summary:	Python 3 bindings for libpfm and perf_event_open system call
Group:		Development/Python

%description -n python3-libpfm
Python 3 bindings for libpfm4 and perf_event_open system call.
%endif

%prep
%autosetup -p1

%build
%if %{with python}
%global python_config CONFIG_PFMLIB_NOPYTHON=n
%else
%global python_config CONFIG_PFMLIB_NOPYTHON=y
%endif
%make_build %{python_config} %{?_smp_mflags} \
     OPTIM="%{optflags}" LDFLAGS="%{ldflags}"


%install
%if %{with python}
%global python_config CONFIG_PFMLIB_NOPYTHON=n PYTHON_PREFIX=$RPM_BUILD_ROOT/%{python_prefix}
%else
%global python_config CONFIG_PFMLIB_NOPYTHON=y
%endif

make \
    PREFIX=$RPM_BUILD_ROOT%{_prefix} \
    LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
    %{python_config} \
    LDCONFIG=/bin/true \
    install

%files -n %libname
%doc README
%{_libdir}/lib*.so.%{libmajor}{,.*}

%files -n %develname
%{_includedir}/*
%{_mandir}/man3/*
%{_libdir}/lib*.so

%files -n %staticname
%{_libdir}/lib*.a

%if %{with python}
%files -n python3-libpfm
%{python3_sitearch}/*
%endif



%changelog
* Tue Mar 15 2022 danf <danf> 4.11.0-2.mga9
+ Revision: 1792161
- Add pointer-realloc.patch to fix compile error on gcc 12

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 4.11.0-1.mga9
+ Revision: 1787143
- version 4.11.0
- rebuild for python-3.10

* Wed Apr 21 2021 daviddavid <daviddavid> 4.10.1-3.mga9
+ Revision: 1717705
- rebuild for python 3.9
+ danf <danf>
- Switch URLs from http: to https:

* Sun Feb 16 2020 umeabot <umeabot> 4.10.1-2.mga8
+ Revision: 1533453
- Mageia 8 Mass Rebuild

* Sun Sep 22 2019 daviddavid <daviddavid> 4.10.1-1.mga8
+ Revision: 1444538
- new version: 4.10.1
- port to python 3

* Sun Sep 23 2018 umeabot <umeabot> 4.9.0-8.mga7
+ Revision: 1299089
- Mageia 7 Mass Rebuild

* Mon May 07 2018 daviddavid <daviddavid> 4.9.0-7.mga7
+ Revision: 1226894
- fix requires

* Thu Apr 19 2018 buchan <buchan> 4.9.0-6.mga7
+ Revision: 1220334
- imported package libpfm

